Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kHttpServerResponse Class Reference
kApi/Io

## Description

Supports HTTP server response formatting.

Inheritance diagram for kHttpServerResponse:

## Public Member Functions
kStatus | kHttpServerResponse_AddHeader (kHttpServerResponse response, const kChar *name, const kChar *value)
| Adds a header value to the response. More...
kStatus | kHttpServerResponse_BeginWriteChunk (kHttpServerResponse response, k64u length, kStream *stream)
| Begins writing a chunk-encoded message body segment. More...
kStatus | kHttpServerResponse_BeginWriteContent (kHttpServerResponse response, k64u length, kStream *stream)
| Begins writing a simple message body. More...
kStatus | kHttpServerResponse_SetClosed (kHttpServerResponse response, kBool closed)
| Instructs the HTTP server to close this connection when message processing is complete. More...
kStatus | kHttpServerResponse_SetHeader (kHttpServerResponse response, const kChar *name, const kChar *value)
| Sets the value of a header in the response. More...
kStatus | kHttpServerResponse_SetReason (kHttpServerResponse response, const kChar *reason)
| Sets the HTTP status description associated with this response. More...
kStatus | kHttpServerResponse_SetStatus (kHttpServerResponse response, kHttpStatus status)
| Sets the HTTP status code associated with this response. More...
kStatus | kHttpServerResponse_SetVersion (kHttpServerResponse response, kVersion version)
| Sets the version associated with this HTTP response. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Io/kHttpServerResponse.h